#
#	Macintosh Developer Technical Support
#
#	EditText Sample Control Panel Device
#
#	EditCdev
#
#	EditCdev.make	-	Make Source
#
#	Copyright  1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.0					8/88
#
#	Components:	EditCdev.p			August 1, 1988
#				EditCdev.c			August 1, 1988
#				EditCdev.r			August 1, 1988
#				PEditCdev.make		August 1, 1988
#				CEditCdev.make		August 1, 1988
#
#	EditCdev is a sample Control Panel device (cdev) that 
#	demonstrates the usage of the edit-related messages.  
#	EditCdev demonstrates how to implement an editText item
#	in a Control Panel Device.  It utilizes the new undo, cut, copy,
#	paste, and delete messages that are sent to cdevs in
#	response to user menu selections.
#
#	It is comprised of two editText items that can be edited 
#	and moved between via the mouse or tab key.
#
# MPW 3.0 and later: We override the default COptions to turn on strict prototyping;
#	add '-r' to your UserStartup when you tire of the warning from Make.
# If you are using MPW 3.0 or later, uncomment the following line:
#COptions = -d MPW3 -r	# define MPW3, turn on strict prototyping (-r option)
# For MPW 2.0 we use the following line so that the the complete interfaces are there:
COptions = -d __ALLNU__

SrcName			=	EditCdev
Lang			=	C
CdevName		=	{Lang}{SrcName}

Objs			=	{SrcName}.{Lang}.o 
					"{CLibraries}"CInterface.o 
					"{Libraries}"Interface.o
# note that Interface.o is not needed for MPW 2.0 & CInterface.o isnt needed for MPW 3.0

{CdevName}			{Objs} {CdevName}.make
		Link -o {Targ} -rt cdev=-4064 -m TEXTCDEV {Objs} && 
			Setfile {CdevName} -a B && 
				Duplicate -y {CdevName} "{SystemFolder}"

{CdevName}			{SrcName}.r {CdevName}.make
		Rez -o {Targ} {SrcName}.r -t cdev -c hack -rd -append && 
			Setfile {CdevName} -a B && 
				Duplicate -y {CdevName} "{SystemFolder}"
