#
# Apple Macintosh Developer Technical Support
#
# MultiFinder-Aware SoundApp Application
#
# SoundApp
#
# SoundApp.make	-	Make Source
#
# Copyright  1989-1990 Apple Computer, Inc.
# All rights reserved.
#
# Versions:
# 			1.03					May, 1990
#
# Components:
# 			SoundApp.make		May 1, 1990			MPW build script
# 			SoundApp.p			May 1, 1990			Pascal source code
# 			SoundApp.r			May 1, 1990			Rez source code
# 			SoundAppSnds.r		May 1, 1990			Rez source code
# 			SoundUnit.p			May 1, 1990			Pascal source code
#
# Formatting was done with FONT = Monaco, SIZE = 9, TABS = 3
#
# SoundApp.p is a sample application source file for demonstrating
# the Sound Manager.  It requires the use of the SoundUnit to handle
# all of the sound routines.  This portion of the source code handles the
# applications management of memory, errors, user interface, etc..
#
# Jim Reekes E.O., Macintosh Developer Technical Support
# Tuesday, January 30, 1990  1:01 PM
#

#--------------------------------------------------------------------------------
#	The Rez templates have changed from MPW 3.0/3.1 to MPW 3.2 (or will change,
#	depending on when you read this). Our .r file has conditional statements that
#	will cause the right things to happen. By default, we are in 3.0/3.1 format
#	mode. By setting RezOptions to Rez32Options rather than Rez31Options, we allow
#	it to be compiled under MPW 3.2 instead.

Rez31Options = -rd
Rez32Options = -rd -d MPW32

RezOptions = {Rez31Options}

#--------------------------------------------------------------------------------

SoundApp.p.o	 SoundUnit.p.o

SoundApp			 SoundAppSnds.r SoundApp.make
	Rez {RezOptions} -o {Targ} SoundAppSnds.r -append

SoundApp			 SoundApp.r SoundApp.make
	Rez {RezOptions} -o {Targ} SoundApp.r -append

PObjs				=  SoundUnit.p.o				
					SoundApp.p.o 					
					"{Libraries}"Runtime.o		
					"{Libraries}"Interface.o	
					"{Libraries}"ToolLibs.o		
					"{PLibraries}"SANELib.o		
					"{PLibraries}"PasLib.o

SoundApp			 {PObjs} SoundApp.make
	Link -o {Targ} {PObjs}
	SetFile {Targ} -t APPL -c 'SAPP' -a B
